import { isArray as i } from "lodash";
const s = (n) => (o) => {
  if (window.SHJComponentRefs && i(window.SHJComponentRefs) && o && n) {
    const e = window.SHJComponentRefs.find((f) => f.layerId === n);
    e ? e.ref = o : window.SHJComponentRefs.push({ layerId: n, ref: o });
  }
};
export {
  s as registerComponentRef
};
